<?php
session_start();
require('../fpdf/fpdf.php');
require('garantia_proveedor_plantilla.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

// Creación del objeto de la clase heredada
$pdf=new PDF_MC_Table();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',10);
$pdf->Ln();


    $pdf->Image('../../../img/'.$empresa.'.png',10,5,60);
    // Arial bold 15
    $pdf->SetFont('Arial','B',12);
    // Movernos a la derecha
    $pdf->Cell(130);
    $pdf->Cell(50,4,utf8_decode($emp_nombre),0,0,'C');
    $pdf->Ln();
    $pdf->SetFont('Arial','B',9);
    $pdf->Cell(130);
    $pdf->Cell(50,4,'Nit: '.$emp_nit,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,$emp_direccion,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,'E-mail:'.$emp_correo,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,'Cel:'.$emp_cel.' / Tel:'.$emp_telefono,0,0,'C');
    $pdf->Ln(10);


     
    $gar_id=$_GET['gar_id'];

    $sql1=mysqli_query($con, "SELECT * from garantias_proveedor where gar_id='$gar_id' and empresa='$empresa'");
    $row1=mysqli_fetch_array($sql1);

    $pdf->nombre($row1['gar_nombre']);
    $pdf->cc($row1['gar_nit']);
    $pdf->fecha($row1['gar_fecha_envio']);
    $pdf->fact_dev($row1['gar_numero']);

    $pdf->Ln(7);

    $pdf->SetFillColor(255,255,255);
    $pdf->Cell(100,4,utf8_decode('A continuación relaciono los productos que necesitan ser revisados por Garantía.') ,0,0,'L',1);
    $pdf->Ln();


  
    $pdf->Ln(5);
    $pdf->SetFillColor(235,225,215);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(25,6,'SERIAL' ,1,0,'C',1);
    $pdf->Cell(20,6,utf8_decode('CANTIDAD'),1,0,'C',1);
    $pdf->Cell(80,6,utf8_decode('ARTICULO'),1,0,'C',1);
    $pdf->Cell(65,6,'OBSERVACIONES',1,0,'C',1);
    $pdf->Ln();    
 
    $sumador_total=0;
    $sql=mysqli_query($con, "SELECT * from garantia_pro_detalle where  garntias_proveedor_gar_id='$gar_id'");
    while ($row=mysqli_fetch_array($sql))
    {
    $gard_serial=$row['gard_serial'];
    $gard_nombre=$row['gard_nombre'];
    $gard_problema=$row['gard_problema'];
    $gard_cantidad=$row['gard_cantidad'];


              $pdf->SetWidths(array(25,20,80,65));
              srand(time()*1000000);
              $pdf->Row(array(utf8_decode($gard_serial),$gard_cantidad,utf8_decode($gard_nombre),utf8_decode($gard_problema)));
    }

    $pdf->Ln(10); 
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(73);
            $pdf->Cell(60,0,'___________________________________',0,0,'L');
            $pdf->Cell(70,0,'___________________________________',0,0,'L');
            $pdf->Ln(2);

            $pdf->Cell(73);
            $pdf->Cell(60,2,'Asesor C.C',0,0,'L');
            $pdf->Cell(70,2,'Representante C.C',0,0,'L');
            $pdf->Ln(5);
   
    $pdf->Output();
?>